Qt 5.6 | Qt Core | C++ Classes | QResource

Qt 5.6.2 Reference Documentation

# Obsolete Members for QResource

The following members of class QResource are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` void | addSearchPath(const QString &path)
`(obsolete)` QStringList | searchPaths()

## Member Function Documentation

### `[static]` void QResource::addSearchPath(const QString &path)

Use QDir::addSearchPath() with a prefix instead.

Adds path to the search paths searched in to find resources that are not specified with an absolute path. The path must be an absolute path (start with `/`).

The default search path is to search only in the root (`:/`). The last path added will be consulted first upon next QResource creation.

### `[static]` QStringList QResource::searchPaths()

Use QDir::searchPaths() instead.

Returns the current search path list. This list is consulted when creating a relative resource.

See also QDir::addSearchPath() and QDir::setSearchPaths().